<!DOCTYPE html>
<html
  dir="{{ .Site.Language.LanguageDirection | default "ltr" }}"
  lang="{{- site.Language.Lang -}}"
  data-theme="{{- .Site.Params.displayMode -}}"
  class="html"
>
  {{- partial "head.html" . -}}
  <body
    {{ if eq .Params.displayMode "dark" }}
      class="body theme--dark"

    {{ else }}
      class="body theme--light"

    {{ end }}
  >
    <div class="wrapper">
      <aside class="wrapper__sidebar">
        {{- partial "sidebar.html" . -}}
      </aside>
      <main class="wrapper__main">
        <header class="header">{{ partial "navbar.html" . }}</header>
        {{- block "main" . }}{{- end }}
      </main>
    </div>

    {{- partial "footer.html" (dict "context" . "footerClassModifier" "base") -}}

    {{- if (eq .Site.Params.simpleAnalytics.enable true) -}}
      {{- partial "analytics/simpleanalytics.html" . -}}


    {{- end -}}
    
    <script src="https://code.jquery.com/jquery-3.4.1.slim.min.js" integrity="sha384-J6qa4849blE2+poT4WnyKhv5vZF5SrPo0iEjwBvKU7imGFAV0wwj1yYfoRSJoZ+n" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js" integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.4.1/dist/js/bootstrap.min.js" integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6" crossorigin="anonymous"></script>
  </body>
</html>
